## org.mortbay.jetty.client.security
Class SimpleRealmResolver

    java.lang.Object
      org.mortbay.jetty.client.security.SimpleRealmResolver

All Implemented Interfaces:
  RealmResolver

    public class SimpleRealmResolver

extends java.lang.Object
implements RealmResolver

Simple Realm Resolver.

A Realm Resolver that wraps a single realm.

Author:
  gregw

Constructor Summary
`SimpleRealmResolver(Realm realm)`

Method Summary
`Realm` `getRealm(java.lang.String realmName, HttpDestination destination, java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRealmResolver

    public SimpleRealmResolver(Realm realm)

Method Detail

### getRealm

    public Realm getRealm(java.lang.String realmName,
                          HttpDestination destination,
                          java.lang.String path)
                   throws java.io.IOException

  Specified by:
    `getRealm` in interface `RealmResolver`
  Throws:
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.